Subject: Re: bug#36942: Reconfigure broke GRUB

From: ison <[email-masked]>
Date: Fri, 16 Aug 2019 17:34:27 -0600

On Fri, Aug 16, 2019, Jakob L. Kreuze wrote:
> ison <[email-masked]> writes:
> 
> > /boot/efi looks ok as far as I can tell at least. It's tree is:
> > /boot/efi/
> > └── EFI
> >     ├── grub
> >     │   └── grubx64.efi
> >     ├── Guix
> >     │   └── grubx64.efi
> >     └── GuixSD
> >         └── grubx64.efi
> > All 3 grubx64.efi files differ from each other and are around 120kb.
> 
> Interesting... I only have '/boot/efi/EFI/Guix'. Do you have a
> '/boot/grub'?

I do have a /boot/grub actually. Is that strange?
It looks like a normal /boot/grub to me, and contains a grub.cfg

> I think it may be indicative of a more serious problem, since you
> mentioned that this was fine up until the commit refactoring 'guix
> system reconfigure'. If you're willing to reinstall and see if you can
> reproduce it, that maywould be helpful -- you could send me the relevant
> 'install-bootloader.scm' store item if it breaks again.
> 
> Thank you very much, ison. I appreciate your cooperation here greatly.

Sounds good, I'll reinstall it over the weekend